Subject: Re: bug#26497: glibc 2.25 broken on i686

From: [email-masked] (Ludovic Courtès)
Date: Fri, 14 Apr 2017 14:56:27 +0200

Ricardo Wurmus <[email-masked]> skribis:

> Guix on i686 is broken since the update to glibc 2.25.  There are
> seemingly random segfaults all over the place on my server.
>
> Ludo posted this upstream discussion:
>
>     https://sourceware.org/bugzilla/show_bug.cgi?id=21182

Perhaps we don’t see the problem when running i686 code on x86_64.

> I could test the patch on my i686 system, but it would take much too
> long for me to build the system from source on my machines.

Could you first check if there’s a simple way to reproduce it on your
machine?  For example, run “guix build coreutils” or “guix build
coreutils --check” and see if that fails.

If it does, you could arrange to test the patch just in this setup.

Thanks,
Ludo’.